/**
 * File: /src/components/Divider/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 10-08-2022 06:33:37
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { useAutoContrast } from "@risserlabs/auto-contrast";
import Box from "../Box";

const Divider = props => {
  var _props$sx;

  const mergedSx = { ...Divider.defaultSx,
    ...props.sx,
    color: (_props$sx = props.sx) === null || _props$sx === void 0 ? void 0 : _props$sx.bg
  };
  delete mergedSx.bg;
  const sx = useAutoContrast(props, mergedSx);
  sx.bg = sx.color;
  delete sx.color;
  return /*#__PURE__*/React.createElement(Box, {
    variant: "styles.hr",
    sx: sx
  });
};

Divider.defaultProps = {};
Divider.defaultSx = {
  bg: "gray",
  m: 0,
  height: 1,
  width: "100%",
  my: 2,
  border: 0,
  borderBottom: "1px solid"
};
export default Divider;
//# sourceMappingURL=index.js.map