(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "core-js/modules/web.dom-collections.iterator.js", "react", "@dripsy/core", "@risserlabs/auto-contrast", "../Text", "./props", "../../dripsyHelper"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("core-js/modules/web.dom-collections.iterator.js"), require("react"), require("@dripsy/core"), require("@risserlabs/auto-contrast"), require("../Text"), require("./props"), require("../../dripsyHelper"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.webDomCollectionsIterator, global.react, global.core, global.autoContrast, global.Text, global.props, global.dripsyHelper);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _webDomCollectionsIterator, _react, _core, _autoContrast, _Text, _props, _dripsyHelper) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Text = _interopRequireDefault(_Text);

  /**
   * File: /src/components/Box/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 06-07-2022 08:51:13
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const pressablePropKeysSet = new Set(_props.pressablePropKeys);

  const Box = props => {
    const sx = { ...Box.defaultSx,
      ...props.sx
    };
    const {
      baseProps,
      baseSx,
      textProps,
      pressableSx,
      textSx,
      pressableProps
    } = (0, _props.splitProps)(props, sx);
    const children = (0, _dripsyHelper.isText)(props.children) ? /*#__PURE__*/_react.default.createElement(_Text.default, (0, _extends2.default)({}, textProps, {
      sx: textSx
    }), props.children) : props.children;

    const isPressable = (() => {
      const propKeys = Object.keys(props);

      for (let i = 0; i < propKeys.length; i++) {
        const propKey = propKeys[i];
        if (pressablePropKeysSet.has(propKey)) return true;
      }

      return false;
    })();

    const renderBase = () => /*#__PURE__*/_react.default.createElement(_core.Box, (0, _extends2.default)({}, baseProps, isPressable ? {} : pressableProps, {
      sx: { ...baseSx,
        ...(isPressable ? {} : pressableSx)
      }
    }), /*#__PURE__*/_react.default.createElement(_autoContrast.BackgroundColorProvider, {
      sx: sx
    }, children));

    return isPressable ? /*#__PURE__*/_react.default.createElement(_core.Pressable, (0, _extends2.default)({}, pressableProps, {
      sx: pressableSx
    }), renderBase()) : renderBase();
  };

  Box.defaultProps = {};
  Box.defaultSx = {
    boxSizing: "border-box",
    cursor: "auto",
    display: "flex",
    flexDirection: "row",
    margin: 0,
    minWidth: 0
  };
  var _default = Box;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map