(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@dripsy/core", "@risserlabs/auto-contrast", "../../dripsyHelper", "../Text", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@dripsy/core"), require("@risserlabs/auto-contrast"), require("../../dripsyHelper"), require("../Text"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.core, global.autoContrast, global.dripsyHelper, global.Text, global.props);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _core, _autoContrast, _dripsyHelper, _Text, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Text = _interopRequireDefault(_Text);

  /**
   * File: /src/components/Button/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 07:34:18
   * Author: Clay Risser
   * -----
   * Last Modified: 10-08-2022 06:33:00
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Button = props => {
    const sx = { ...Button.defaultSx,
      display: props.hidden ? "none" : "flex",
      ...props.sx
    };
    const {
      baseProps,
      baseSx,
      textProps,
      textSx
    } = (0, _props.splitProps)(props, sx);
    const children = (0, _dripsyHelper.isText)(props.children) ? /*#__PURE__*/_react.default.createElement(_Text.default, (0, _extends2.default)({}, textProps, {
      sx: textSx
    }), props.children) : props.children;
    return /*#__PURE__*/_react.default.createElement(_core.Pressable, (0, _extends2.default)({
      themeKey: "buttons",
      variant: "primary"
    }, baseProps, {
      sx: baseSx
    }), /*#__PURE__*/_react.default.createElement(_autoContrast.BackgroundColorProvider, {
      sx: sx
    }, children));
  };

  Button.defaultProps = {};
  Button.defaultSx = {
    alignSelf: "flex-start",
    appearance: "none",
    bg: "primary",
    border: 0,
    borderRadius: 4,
    color: "white",
    px: 3,
    py: 2,
    textAlign: "center",
    userSelect: "none"
  };
  var _default = Button;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map