(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "../Box", "./size", "./props"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("../Box"), require("./size"), require("./props"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.Box, global.size, global.props);
    global.EmbedWeb = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _Box, _size, _props) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Box = _interopRequireDefault(_Box);

  /**
   * File: /src/components/Embed/Embed.web.tsx
   * Project: @native-theme-ui/core
   * File Created: 18-07-2022 06:25:17
   * Author: Clay Risser
   * -----
   * Last Modified: 18-07-2022 07:15:36
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Embed = props => {
    const sx = { ...(props.height ? {
        height: props.height
      } : {}),
      ...(props.width ? {
        width: props.width
      } : {}),
      border: props.frameBorder,
      ...Embed.defaultSx,
      ...props.sx
    };
    sx.height = (0, _size.useCalculateSize)(sx.height, sx.width, props.ratio, _size.SizeDimension.Height);
    sx.width = (0, _size.useCalculateSize)(sx.width, sx.height, props.ratio, _size.SizeDimension.Width);
    const {
      baseProps,
      iframeProps
    } = (0, _props.splitProps)(props, sx);
    return /*#__PURE__*/_react.default.createElement(_Box.default, (0, _extends2.default)({}, baseProps, {
      sx: sx
    }), /*#__PURE__*/_react.default.createElement("iframe", (0, _extends2.default)({}, iframeProps, {
      style: {
        position: "absolute",
        width: "100%",
        height: "100%",
        top: 0,
        bottom: 0,
        left: 0,
        border: 0
      }
    })));
  };

  Embed.defaultProps = {};
  Embed.defaultSx = {
    // width: "100%",
    position: "relative",
    overflow: "hidden"
  };
  var _default = Embed;
  _exports.default = _default;
});
//# sourceMappingURL=Embed.web.js.map