(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "../Box", "@dripsy/core"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("../Box"), require("@dripsy/core"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Box, global.core);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _Box, _core) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _react = _interopRequireDefault(_react);
  _Box = _interopRequireDefault(_Box);

  /**
   * File: /src/components/Progress/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 09-08-2022 07:25:59
   * Modified By: K S R P BHUSHAN
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Progress = props => {
    const max = props.max || 100;
    const value = props.value || 0;
    const sx = { ...Progress.defaultSx,
      ...props.sx
    };
    const sxMax = { ...sx
    };
    const sxValue = { ...sx,
      bg: sx.color,
      width: "".concat(Math.max(Math.min(value / max, 1), 0) * 100, "%")
    };
    delete sxMax.color;
    delete sxMax.p;
    delete sxMax.padding;
    delete sxMax.paddingBottom;
    delete sxMax.paddingLeft;
    delete sxMax.paddingRight;
    delete sxMax.paddingTop;
    delete sxMax.pb;
    delete sxMax.pl;
    delete sxMax.pr;
    delete sxMax.pt;
    delete sxValue.p;
    delete sxValue.padding;
    delete sxValue.paddingBottom;
    delete sxValue.paddingLeft;
    delete sxValue.paddingRight;
    delete sxValue.paddingTop;
    delete sxValue.pb;
    delete sxValue.pl;
    delete sxValue.pr;
    delete sxValue.pt;
    delete sxValue.color;
    delete sxValue.m;
    delete sxValue.margin;
    delete sxValue.marginBottom;
    delete sxValue.marginLeft;
    delete sxValue.marginRight;
    delete sxValue.marginTop;
    delete sxValue.mb;
    delete sxValue.ml;
    delete sxValue.mr;
    delete sxValue.mt;
    return /*#__PURE__*/_react.default.createElement(_Box.default, {
      variant: "styles.progress",
      sx: sxMax
    }, /*#__PURE__*/_react.default.createElement(_core.View, {
      sx: sxValue
    }));
  };

  Progress.defaultProps = {};
  Progress.defaultSx = {
    display: "flex",
    height: "5px",
    margin: 0,
    marginRight: "20px",
    padding: 0,
    bg: "gray",
    overflow: "hidden",
    color: "primary",
    borderRadius: 9999,
    border: "none" // '&::-webkit-progress-bar': {
    //   bg: 'transparent'
    // },
    // '&::-webkit-progress-value': {
    //   bg: 'currentcolor'
    // },
    // '&::-moz-progress-bar': {
    //   bg: 'currentcolor'
    // }

  };
  var _default = Progress;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map