require("core-js/modules/web.dom-collections.iterator.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "@risserlabs/auto-contrast", "@react-native-picker/picker", "@dripsy/core", "./Option"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("@risserlabs/auto-contrast"), require("@react-native-picker/picker"), require("@dripsy/core"), require("./Option"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.autoContrast, global.picker, global.core, global.Option);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _autoContrast, _picker, _core, _Option) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {};
  _exports.default = void 0;
  _react = _interopRequireDefault(_react);
  _Option = _interopRequireWildcard(_Option);
  Object.keys(_Option).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _Option[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function () {
        return _Option[key];
      }
    });
  });

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Select/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 06:47:48
   * Author: Harikittu46
   * -----
   * Last Modified: 09-08-2022 23:26:25
   * Modified By: Hari Krishna
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const DPicker = (0, _core.createThemedComponent)(_picker.Picker);

  const Select = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...Select.defaultSx,
      ...props.sx
    }, true);
    return /*#__PURE__*/_react.default.createElement(DPicker, {
      themeKey: "forms",
      variant: "select",
      sx: sx
    }, props.children);
  };

  Select.Option = _Option.default;
  Select.defaultProps = {};
  Select.defaultSx = {
    display: "flex",
    width: "100%",
    p: 2,
    appearance: "none",
    // fontSize: "inherit",
    // lineHeight: "inherit",
    border: "1px solid",
    borderRadius: 4,
    borderColor: "blue" // color: "inherit",

  };
  var _default = Select;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map