(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@dripsy/core", "../../hooks/useThemeLookup"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@dripsy/core"), require("../../hooks/useThemeLookup"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.core, global.useThemeLookup);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _core, _useThemeLookup) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.styles = _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _useThemeLookup = _interopRequireDefault(_useThemeLookup);

  /**
   * File: /src/components/Spinner/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 14-07-2022 00:27:03
   * Modified By: Manikanta
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Spinner = props => {
    const themeLookup = (0, _useThemeLookup.default)();
    const sxProp = { ...styles.spinner,
      ...props.sx
    };
    return /*#__PURE__*/_react.default.createElement(_core.ActivityIndicator, (0, _extends2.default)({}, props, {
      color: themeLookup("color", props.color),
      sx: sxProp
    }));
  };

  Spinner.defaultProps = {
    sx: {},
    size: 48
  };
  const styles = {
    spinner: {}
  };
  _exports.styles = styles;
  Spinner.defaultSx = {};
  var _default = Spinner;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map